/*PROGRAM NAME:  fmt_census_st_plc.sas*/

proc format;

/******************************************************************************/
/*    		 Format Census State Place Codes (Places 100,000 +)			      */
/******************************************************************************/

  value $cenplc
				'010185'	=	'Birmingham city'
				'010935'	=	'Huntsville city'
				'011165'	=	'Mobile city'
				'020140'	=	'Anchorage municipality'
				'040050'	=	'Chandler city'
				'040135'	=	'Gilbert town'
				'040140'	=	'Glendale city'
				'040215'	=	'Mesa city'
				'040255'	=	'Peoria city'
				'040260'	=	'Phoenix city'
				'040327'	=	'Scottsdale city'
				'040368'	=	'Tempe city'
				'040385'	=	'Tucson city'
				'051195'	=	'Little Rock city'
				'060070'	=	'Anaheim city'
				'060180'	=	'Bakersfield city'
				'060245'	=	'Berkeley city'
				'060340'	=	'Burbank city'
				'060525'	=	'Chula Vista city'
				'060595'	=	'Concord city'
				'060610'	=	'Corona city'
				'060625'	=	'Costa Mesa city'
				'060700'	=	'Daly city city'
				'060795'	=	'Downey city'
				'060820'	=	'East Los Angeles CDP'
				'060880'	=	'El Monte city'
				'060935'	=	'Escondido city'
				'061030'	=	'Fontana city'
				'061080'	=	'Fremont city'
				'061090'	=	'Fresno city'
				'061095'	=	'Fullerton city'
				'061110'	=	'Garden Grove city'
				'061130'	=	'Glendale city'
				'061225'	=	'Hayward city'
				'061300'	=	'Huntington Beach city'
				'061340'	=	'Inglewood city'
				'061347'	=	'Irvine city'
				'061476'	=	'Lancaster city'
				'061610'	=	'Long Beach city'
				'061630'	=	'Los Angeles city'
				'061790'	=	'Modesto city'
				'061849'	=	'Moreno Valley city'
				'061950'	=	'Norwalk city'
				'061970'	=	'Oakland city'
				'061990'	=	'Oceanside city'
				'062005'	=	'Ontario city'
				'062015'	=	'Orange city'
				'062050'	=	'Oxnard city'
				'062072'	=	'Palmdale city'
				'062125'	=	'Pasadena city'
				'062230'	=	'Pomona city'
				'062278'	=	'Rancho Cucamonga city'
				'062370'	=	'Riverside city'
				'062420'	=	'Sacramento city'
				'062435'	=	'Salinas city'
				'062450'	=	'San Bernardino city'
				'062460'	=	'San Buenaventura (Ventura) city'
				'062475'	=	'San Diego city'
				'062485'	=	'San Francisco city'
				'062510'	=	'San Jose city'
				'062570'	=	'Santa Ana city'
				'062580'	=	'Santa Clara city'
				'062583'	=	'Santa Clarita city'
				'062615'	=	'Santa Rosa city'
				'062702'	=	'Simi Valley city'
				'062805'	=	'Stockton city'
				'062835'	=	'Sunnyvale city'
				'062897'	=	'Thousand Oaks city'
				'062912'	=	'Torrance city'
				'062984'	=	'Vallejo city'
				'063070'	=	'West Covina city'
				'080040'	=	'Arvada city'
				'080055'	=	'Aurora city'
				'080240'	=	'Colorado Springs city'
				'080320'	=	'Denver city'
				'080455'	=	'Fort Collins city'
				'080760'	=	'Lakewood city'
				'081355'	=	'Westminster city'
				'090200'	=	'Bridgeport city'
				'090970'	=	'Hartford city'
				'091450'	=	'New Haven city'
				'092180'	=	'Stamford city'
				'092460'	=	'Waterbury city'
				'110005'	=	'Washington city'
				'120293'	=	'Cape Coral city'
				'120375'	=	'Clearwater city'
				'120427'	=	'Coral Springs city'
				'120645'	=	'Fort Lauderdale city'
				'120860'	=	'Hialeah city'
				'120915'	=	'Hollywood city'
				'121370'	=	'Miami city'
				'121600'	=	'Orlando city'
				'121700'	=	'Pembroke Pines city'
				'121900'	=	'St. Petersburg city'
				'122075'	=	'Tampa city'
				'130150'	=	'Atlanta city'
				'132540'	=	'Savannah city'
				'150110'	=	'Honolulu CDP'
				'160090'	=	'Boise city city'
				'170280'	=	'Aurora city'
				'171051'	=	'Chicago city'
				'172865'	=	'Joliet city'
				'173990'	=	'Naperville city'
				'174965'	=	'Rockford city'
				'180825'	=	'Fort Wayne city'
				'180905'	=	'Gary city'
				'182375'	=	'South Bend city'
				'191130'	=	'Des Moines city'
				'202194'	=	'Overland Park city'
				'203040'	=	'Wichita city'
				'211160'	=	'Lexington-Fayette'
				'211230'	=	'Louisville city'
				'220095'	=	'Baton Rouge city'
				'220882'	=	'Metairie CDP'
				'220956'	=	'New Orleans city'
				'240025'	=	'Baltimore city'
				'250440'	=	'Boston city'
				'250610'	=	'Cambridge city'
				'252180'	=	'Lowell city'
				'254090'	=	'Springfield city'
				'255030'	=	'Worcester city'
				'260080'	=	'Ann Arbor city'
				'260680'	=	'Detroit city'
				'260920'	=	'Flint city'
				'261085'	=	'Grand Rapids city'
				'261565'	=	'Livonia city'
				'262583'	=	'Sterling Heights city'
				'262790'	=	'Warren city'
				'272585'	=	'Minneapolis city'
				'273425'	=	'St. Paul city'
				'293875'	=	'St. Louis city'
				'320058'	=	'Henderson city'
				'320065'	=	'Las Vegas city'
				'320085'	=	'North Las Vegas city'
				'320088'	=	'Paradise CDP'
				'320090'	=	'Reno city'
				'320104'	=	'Spring Valley CDP'
				'320110'	=	'Sunrise Manor CDP'
				'331610'	=	'Manchester city'
				'341715'	=	'Elizabeth city'
				'342290'	=	'Jersey city city'
				'342895'	=	'Newark city'
				'343115'	=	'Paterson city'
				'350015'	=	'Albuquerque city'
				'360450'	=	'Buffalo city'
				'362505'	=	'New York city'
				'363100'	=	'Rochester city'
				'363565'	=	'Syracuse city'
				'364075'	=	'Yonkers city'
				'370480'	=	'Charlotte city'
				'370910'	=	'Fayetteville city'
				'371065'	=	'Greensboro city'
				'372020'	=	'Raleigh city'
				'372785'	=	'Winston-Salem city'
				'390035'	=	'Akron city'
				'390865'	=	'Cincinnati city'
				'390900'	=	'Cleveland city'
				'390960'	=	'Columbus city'
				'391110'	=	'Dayton city'
				'394265'	=	'Toledo city'
				'401815'	=	'Oklahoma city city'
				'402465'	=	'Tulsa city'
				'410360'	=	'Eugene city'
				'410905'	=	'Portland city'
				'411005'	=	'Salem city'
				'420165'	=	'Allentown city'
				'423685'	=	'Erie city'
				'427180'	=	'Philadelphia city'
				'427234'	=	'Pittsburgh city'
				'440400'	=	'Providence city'
				'450305'	=	'Columbia city'
				'470245'	=	'Chattanooga city'
				'470760'	=	'Knoxville city'
				'470940'	=	'Memphis city'
				'480175'	=	'Arlington city'
				'480210'	=	'Austin city'
				'480320'	=	'Beaumont city'
				'480595'	=	'Brownsville city'
				'480740'	=	'Carrollton city'
				'481085'	=	'Dallas city'
				'481340'	=	'El Paso city'
				'481500'	=	'Fort Worth city'
				'481580'	=	'Garland city'
				'481695'	=	'Grand Prairie city'
				'481975'	=	'Houston city'
				'482060'	=	'Irving city'
				'482595'	=	'McAllen city'
				'482795'	=	'Mesquite city'
				'483200'	=	'Pasadena city'
				'483310'	=	'Plano city'
				'483745'	=	'San Antonio city'
				'490800'	=	'Provo city'
				'490870'	=	'Salt Lake city city'
				'491082'	=	'West Valley city city'
				'510025'	=	'Alexandria city'
				'510056'	=	'Arlington CDP'
				'510242'	=	'Chesapeake city'
				'510590'	=	'Hampton city'
				'510860'	=	'Newport News city'
				'510875'	=	'Norfolk city'
				'510990'	=	'Portsmouth city'
				'511035'	=	'Richmond city'
				'511280'	=	'Virginia Beach city'
				'530075'	=	'Bellevue city'
				'531140'	=	'Seattle city'
				'531220'	=	'Spokane city'
				'531280'	=	'Tacoma city'
				'531347'	=	'Vancouver city'
				'551055'	=	'Green Bay city'
				'551475'	=	'Madison city'
				'551645'	=	'Milwaukee city';

Run;
