/*PROGRAM NAME:  fmt_opmocc.sas*/

proc format library=lib;

/******************************************************************************/
/*                           OPM Occupations (268)                            */
/******************************************************************************/

Value $opmocc
'010' = 'Administrative Services Managers  (010) SOC 11-3011'
'014' = 'Industrial Production Managers  (014) SOC 11-3051'
'022' = 'Construction Managers  (022) SOC 11-9021'
'032' = 'Funeral Directors  (032) SOC 11-9061'
'035' = 'Medical and Health Services Managers  (035) SOC 11-9111'
'041' = 'Property, Real Estate, and Community Association Managers  (041) SOC 11-9141'
'053' = 'Purchasing Agents, Except Wholesale, Retail, and Farm Products  (053) SOC 13-1023'
'054' = 'Claims Adjusters, Appraisers, Examiners, and Investigators  (054) SOC 13-1030'
'056' = 'Compliance Officers, Except Agriculture, Construction, Health and Safety, and Transportation  (056) SOC 13-1041'
'062' = 'Human Resources, Training, and Labor Relations Specialists  (062) SOC 13-1070'
'070' = 'Logisticians  (070) SOC 13-1081'
'071' = 'Management Analysts  (071) SOC 13-1111'
'073' = 'Other Business Operations Specialists  (073) SOC 13-11XX'
'080' = 'Accountants and Auditors  (080) SOC 13-2011'
'081' = 'Appraisers and Assessors of Real Estate  (081) SOC 13-2021'
'082' = 'Budget Analysts  (082) SOC 13-2031'
'086' = 'Insurance Underwriters  (086) SOC 13-2053'
'090' = 'Financial Examiners  (090) SOC 13-2061'
'091' = 'Loan Counselors and Officers  (091) SOC 13-2070'
'093' = 'Tax Examiners, Collectors, and Revenue Agents  (093) SOC 13-2081'
'095' = 'Financial Specialists, All Other  (095) SOC 13-2099'
'100' = 'Computer Scientists and Systems Analysts  (100) SOC 15-10XX'
'104' = 'Computer Support Specialists  (104) SOC 15-1041'
'120' = 'Actuaries  (120) SOC 15-2011'
'122' = 'Operations Research Analysts  (122) SOC 15-2031'
'124' = 'Miscellaneous Mathematical Science Occupations, Including Mathematicians and Statisticians (124) SOC 15-20XX'
'130' = 'Architects, Except Naval  (130) SOC 17-1010'
'131' = 'Surveyors, Cartographers, and Photogrammetrists  (131) SOC 17-1020'
'132' = 'Aerospace Engineers  (132) SOC 17-2011'
'135' = 'Chemical Engineers  (135) SOC 17-2041'
'136' = 'Civil Engineers  (136) SOC 17-2051'
'140' = 'Computer Hardware Engineers  (140) SOC 17-2061'
'141' = 'Electrical and Electronics Engineers  (141) SOC 17-2070'
'142' = 'Environmental Engineers  (142) SOC 17-2081'
'143' = 'Industrial Engineers, Including Health and Safety  (143) SOC 17-2110'
'144' = 'Marine Engineers and Naval Architects  (144) SOC 17-2121'
'145' = 'Materials Engineers  (145) SOC 17-2131'
'146' = 'Mechanical Engineers  (146) SOC 17-2141'
'151' = 'Nuclear Engineers  (151) SOC 17-2161'
'152' = 'Petroleum, Mining and Geological Engineers, Including Mining Safety Engineers (152) SOC 17-21XX'
'153' = 'Miscellaneous Engineers, Including Agricultural and Biomedical (153) SOC 17-2XXX'
'154' = 'Drafters  (154) SOC 17-3010'
'155' = 'Engineering Technicians, Except Drafters  (155) SOC 17-3020'
'156' = 'Surveying and Mapping Technicians  (156) SOC 17-3031'
'160' = 'Agricultural and Food Scientists  (160) SOC 19-1010'
'161' = 'Biological Scientists  (161) SOC 19-1020'
'164' = 'Conservation Scientists and Foresters  (164) SOC 19-1030'
'165' = 'Medical Scientists  (165) SOC 19-1040'
'170' = 'Astronomers and Physicists  (170) SOC 19-2010'
'171' = 'Atmospheric and Space Scientists  (171) SOC 19-2021'
'172' = 'Chemists and Materials Scientists  (172) SOC 19-2030'
'174' = 'Environmental Scientists and Geoscientists  (174) SOC 19-2040'
'176' = 'Physical Scientists, All Other  (176) SOC 19-2099'
'180' = 'Economists  (180) SOC 19-3011'
'181' = 'Market and Survey Researchers  (181) SOC 19-3020'
'182' = 'Psychologists  (182) SOC 19-3030'
'184' = 'Urban and Regional Planners  (184) SOC 19-3051'
'186' = 'Miscellaneous Social Scientists, Including Sociologists (186) SOC 19-30XX'
'191' = 'Biological Technicians  (191) SOC 19-4021'
'196' = 'Miscellaneous Life, Physical, and Social Science Technicians, Including Social Science Research Assistants & Nuclear Technicians  (196) SOC 19-40XX'
'201' = 'Social Workers  (201) SOC 21-1020'
'202' = 'Miscellaneous Community and Social Service Specialists  (202) SOC 21-1090'
'204' = 'Clergy  (204) SOC 21-2011'
'210' = 'Lawyers  (210) SOC 23-1011'
'211' = 'Judges, Magistrates, and Other Judicial Workers  (211) SOC 23-1020'
'214' = 'Paralegals and Legal Assistants  (214) SOC 23-2011'
'215' = 'Miscellaneous Legal Support Workers  (215) SOC 23-2090'
'234' = 'Other Teachers and Instructors  (234) SOC 25-3000'
'240' = 'Archivists, Curators, and Museum Technicians  (240) SOC 25-4010'
'243' = 'Librarians  (243) SOC 25-4021'
'244' = 'Library Technicians  (244) SOC 25-4031'
'255' = 'Other Education, Training, and Library Workers  (255) SOC 25-90XX'
'260' = 'Artists and Related Workers  (260) SOC 27-1010'
'263' = 'Designers  (263) SOC 27-1020'
'271' = 'Producers and Directors  (271) SOC 27-2012'
'272' = 'Athletes, Coaches, Umpires, and Related Workers  (272) SOC 27-2020'
'275' = 'Musicians, Singers, and Related Workers  (275) SOC 27-2040'
'282' = 'Public Relations Specialists  (282) SOC 27-3031'
'284' = 'Technical Writers  (284) SOC 27-3042'
'285' = 'Writers and Authors  (285) SOC 27-3043'
'286' = 'Miscellaneous Media and Communication Workers  (286) SOC 27-3090'
'290' = 'Broadcast and Sound Engineering Technicians and Radio Operators and Other Media and Communication Equipment Workers (290) SOC 27-40XX'
'291' = 'Photographers  (291) SOC 27-4021'
'301' = 'Dentists  (301) SOC 29-1020'
'303' = 'Dietitians and Nutritionists  (303) SOC 29-1031'
'304' = 'Optometrists  (304) SOC 29-1041'
'305' = 'Pharmacists  (305) SOC 29-1051'
'306' = 'Physicians and Surgeons  (306) SOC 29-1060'
'311' = 'Physician Assistants  (311) SOC 29-1071'
'312' = 'Podiatrists  (312) SOC 29-1081'
'313' = 'Registered Nurses  (313) SOC 29-1111'
'314' = 'Audiologists  (314) SOC 29-1121'
'315' = 'Occupational Therapists  (315) SOC 29-1122'
'316' = 'Physical Therapists  (316) SOC 29-1123'
'321' = 'Recreational Therapists  (321) SOC 29-1125'
'322' = 'Respiratory Therapists  (322) SOC 29-1126'
'324' = 'Therapists, All Other  (324) SOC 29-1129'
'325' = 'Veterinarians  (325) SOC 29-1131'
'326' = 'Health Diagnosing and Treating Practitioners, All Other  (326) SOC 29-1199'
'330' = 'Clinical Laboratory Technologists and Technicians  (330) SOC 29-2010'
'331' = 'Dental Hygienists  (331) SOC 29-2021'
'332' = 'Diagnostic Related Technologists and Technicians  (332) SOC 29-2030'
'341' = 'Health Diagnosing and Treating Practitioner Support Technicians  (341) SOC 29-2050'
'350' = 'Licensed Practical and Licensed Vocational Nurses  (350) SOC 29-2061'
'351' = 'Medical Records and Health Information Technicians  (351) SOC 29-2071'
'353' = 'Miscellaneous Health Technologists and Technicians  (353) SOC 29-2090'
'354' = 'Other Healthcare Practitioners and Technical Occupations  (354) SOC 29-9000'
'360' = 'Nursing, Psychiatric, and Home Health Aides  (360) SOC 31-1010'
'364' = 'Dental Assistants  (364) SOC 31-9091'
'365' = 'Medical Assistants and Other Healthcare Support Occupations  (365) SOC 31-909X'
'370' = 'First-Line Supervisors/Managers of Correctional Officers  (370) SOC 33-1011'
'374' = 'Fire Fighters  (374) SOC 33-2011'
'380' = 'Bailiffs, Correctional Officers, and Jailers  (380) SOC 33-3010'
'382' = 'Detectives and Criminal Investigators  (382) SOC 33-3021'
'384' = 'Miscellaneous Law Enforcement Workers (384) SOC 33-30XX'
'385' = 'Police Officers (385) SOC 33-3050'
'392' = 'Security Guards and Gaming Surveillance Officers  (392) SOC 33-9030'
'395' = 'Lifeguards and Other Protective Service Workers  (395) SOC 33-909X'
'401' = 'First-Line Supervisors/Managers of Food Preparation and Serving Workers  (401) SOC 35-1012'
'402' = 'Cooks  (402) SOC 35-2010'
'404' = 'Bartenders  (404) SOC 35-3011'
'411' = 'Waiters and Waitresses  (411) SOC 35-3031'
'413' = 'Dining Room and Cafeteria Attendants, Bartender Helpers, and Miscellaneous Food Preparation and Serving Related Workers (413) SOC 35-90XX'
'420' = 'First-Line Supervisors/Managers of Housekeeping and Janitorial Workers  (420) SOC 37-1011'
'422' = 'Janitors and Building Cleaners  (422) SOC 37-201X'
'424' = 'Pest Control Workers  (424) SOC 37-2021'
'425' = 'Grounds Maintenance Workers  (425) SOC 37-3010'
'435' = 'Nonfarm Animal Caretakers  (435) SOC 39-2021'
'441' = 'Motion Picture Projectionists  (441) SOC 39-3021'
'450' = 'Barbers  (450) SOC 39-5011'
'451' = 'Hairdressers, Hairstylists, and Cosmetologists  (451) SOC 39-5012'
'462' = 'Recreation and Fitness Workers  (462) SOC 39-9030'
'472' = 'Cashiers  (472) SOC 41-2010'
'476' = 'Retail Salespersons  (476) SOC 41-2031'
'482' = 'Securities, Commodities, and Financial Services Sales Agents  (482) SOC 41-3031'
'500' = 'First-Line Supervisors/Managers of Office and Administrative Support Workers  (500) SOC 43-1011'
'502' = 'Telephone Operators  (502) SOC 43-2021'
'503' = 'Communications Equipment Operators, All Other  (503) SOC 43-2099'
'511' = 'Billing and Posting Clerks and Machine Operators  (511) SOC 43-3021'
'512' = 'Bookkeeping, Accounting, and Auditing Clerks  (512) SOC 43-3031'
'514' = 'Payroll and Timekeeping Clerks  (514) SOC 43-3051'
'515' = 'Procurement Clerks  (515) SOC 43-3061'
'525' = 'Eligibility Interviewers, Government Programs  (525) SOC 43-4061'
'526' = 'File Clerks  (526) SOC 43-4071'
'536' = 'Human Resources Assistants, Except Payroll and Timekeeping  (536) SOC 43-4161'
'540' = 'Receptionists and Information Clerks  (540) SOC 43-4171'
'542' = 'Information and Record Clerks, All Other  (542) SOC 43-4199'
'550' = 'Cargo and Freight Agents  (550) SOC 43-5011'
'551' = 'Couriers and Messengers  (551) SOC 43-5021'
'552' = 'Dispatchers  (552) SOC 43-5030'
'560' = 'Production, Planning, and Expediting Clerks  (560) SOC 43-5061'
'562' = 'Stock Clerks and Order Fillers  (562) SOC 43-5081'
'563' = 'Weighers, Measurers, Checkers, and Samplers, Recordkeeping  (563) SOC 43-5111'
'570' = 'Secretaries and Administrative Assistants  (570) SOC 43-6010'
'580' = 'Computer Operators  (580) SOC 43-9011'
'581' = 'Data Entry Keyers  (581) SOC 43-9021'
'582' = 'Word Processors and Typists  (582) SOC 43-9022'
'584' = 'Insurance Claims and Policy Processing Clerks  (584) SOC 43-9041'
'586' = 'Office Clerks, General  (586) SOC 43-9061'
'591' = 'Proofreaders and Copy Markers  (591) SOC 43-9081'
'592' = 'Statistical Assistants  (592) SOC 43-9111'
'593' = 'Office and Administrative Support Workers, All Other  (593) SOC 43-9199'
'601' = 'Agricultural Inspectors  (601) SOC 45-2011'
'604' = 'Graders and Sorters, Agricultural Products  (604) SOC 45-2041'
'605' = 'Miscellaneous Agricultural Workers, Including Animal Breeders (605) SOC 45-20XX'
'621' = 'Boilermakers  (621) SOC 47-2011'
'622' = 'Brickmasons, Blockmasons, and Stonemasons  (622) SOC 47-2020'
'623' = 'Carpenters  (623) SOC 47-2031'
'624' = 'Carpet, Floor, and Tile Installers and Finishers  (624) SOC 47-2040'
'625' = 'Cement Masons, Concrete Finishers, and Terrazzo Workers  (625) SOC 47-2050'
'626' = 'Construction Laborers  (626) SOC 47-2061'
'635' = 'Electricians  (635) SOC 47-2111'
'636' = 'Glaziers  (636) SOC 47-2121'
'640' = 'Insulation Workers  (640) SOC 47-2130'
'642' = 'Painters, Construction and Maintenance  (642) SOC 47-2141'
'643' = 'Paperhangers  (643) SOC 47-2142'
'644' = 'Pipelayers, Plumbers, Pipefitters, and Steamfitters (644) SOC 47-2150'
'646' = 'Plasterers and Stucco Masons  (646) SOC 47-2161'
'651' = 'Roofers  (651) SOC 47-2181'
'652' = 'Sheet Metal Workers  (652) SOC 47-2211'
'653' = 'Iron and Steel Workers (653) SOC 47-2XXX'
'666' = 'Construction and Building Inspectors  (666) SOC 47-4011'
'670' = 'Elevator Installers and Repairers  (670) SOC 47-4021'
'672' = 'Hazardous Materials Removal Workers  (672) SOC 47-4041'
'674' = 'Rail-Track Laying and Maintenance Equipment Operators  (674) SOC 47-4061'
'680' = 'Derrick, Rotary Drill, and Service Unit Operators, and Roustabouts, Oil, Gas, and Mining (680) SOC 47-50YY'
'683' = 'Explosives Workers, Ordnance Handling Experts, and Blasters  (683) SOC 47-5031'
'701' = 'Computer, Automated Teller, and Office Machine Repairers  (701) SOC 49-2011'
'702' = 'Radio and Telecommunications Equipment Installers and Repairers  (702) SOC 49-2020'
'703' = 'Avionics Technicians  (703) SOC 49-2091'
'704' = 'Electric Motor, Power Tool, and Related Repairers  (704) SOC 49-2092'
'710' = 'Electrical and Electronics Repairers, Industrial, Utility, and Transportation Equipment (710) SOC 49-209X'
'714' = 'Aircraft Mechanics and Service Technicians  (714) SOC 49-3011'
'715' = 'Automotive Body and Related Repairers  (715) SOC 49-3021'
'720' = 'Automotive Service Technicians and Mechanics  (720) SOC 49-3023'
'722' = 'Heavy Vehicle and Mobile Equipment Service Technicians and Mechanics  (722) SOC 49-3040'
'724' = 'Small Engine Mechanics  (724) SOC 49-3050'
'730' = 'Control and Valve Installers and Repairers  (730) SOC 49-9010'
'731' = 'Heating, Air Conditioning, and Refrigeration Mechanics and Installers  (731) SOC 49-9021'
'732' = 'Home Appliance Repairers  (732) SOC 49-9031'
'733' = 'Industrial and Refractory Machinery Mechanics  (733) SOC 49-904X'
'734' = 'Maintenance and Repair Workers, General  (734) SOC 49-9042'
'735' = 'Maintenance Workers, Machinery  (735) SOC 49-9043'
'741' = 'Electrical Power-Line Installers and Repairers  (741) SOC 49-9051'
'742' = 'Telecommunications Line Installers and Repairers  (742) SOC 49-9052'
'743' = 'Precision Instrument and Equipment Repairers  (743) SOC 49-9060'
'751' = 'Coin, Vending, and Amusement Machine Servicers and Repairers  (751) SOC 49-9091'
'754' = 'Locksmiths and Safe Repairers  (754) SOC 49-9094'
'756' = 'Riggers  (756) SOC 49-9096'
'762' = 'Other Installation, Maintenance, and Repair Workers, Including Commercial Divers and Signal and Track Switch Repairers  (762) SOC 49-909X'
'771' = 'Aircraft Structure, Surfaces, Rigging, and Systems Assemblers  (771) SOC 51-2011'
'780' = 'Bakers  (780) SOC 51-3011'
'781' = 'Butchers and Other Meat, Poultry, and Fish Processing Workers  (781) SOC 51-3020'
'792' = 'Extruding and Drawing Machine Setters, Operators, and Tenders, Metal and Plastic  (792) SOC 51-4021'
'793' = 'Forging Machine Setters, Operators, and Tenders, Metal and Plastic  (793) SOC 51-4022'
'800' = 'Grinding, Lapping, Polishing, and Buffing Machine Tool Setters, Operators, and Tenders, Metal and Plastic (800) SOC 51-4033'
'803' = 'Machinists  (803) SOC 51-4041'
'806' = 'Model Makers and Patternmakers, Metal and Plastic  (806) SOC 51-4060'
'810' = 'Molders and Molding Machine Setters, Operators, and Tenders, Metal and Plastic  (810) SOC 51-4070'
'813' = 'Tool and Die Makers  (813) SOC 51-4111'
'814' = 'Welding, Soldering, and Brazing Workers  (814) SOC 51-4120'
'815' = 'Heat Treating Equipment Setters, Operators, and Tenders, Metal and Plastic  (815) SOC 51-4191'
'816' = 'Lay-Out Workers, Metal and Plastic  (816) SOC 51-4192'
'820' = 'Plating and Coating Machine Setters, Operators, and Tenders, Metal and Plastic  (820) SOC 51-4193'
'821' = 'Tool Grinders, Filers, and Sharpeners  (821) SOC 51-4194'
'822' = 'Other Metalworkers and Plastic Workers, Including Milling, Planing, and Multiple Machine Tool Operators (822) SOC 51-4XXX'
'823' = 'Bookbinders and Bindery Workers  (823) SOC 51-5010'
'825' = 'Prepress Technicians and Workers  (825) SOC 51-5022'
'826' = 'Printing Machine Operators  (826) SOC 51-5023'
'830' = 'Laundry and Dry-Cleaning Workers  (830) SOC 51-6011'
'831' = 'Pressers, Textile, Garment, and Related Materials  (831) SOC 51-6021'
'833' = 'Shoe and Leather Workers and Repairers  (833) SOC 51-6041'
'841' = 'Textile Knitting and Weaving Machine Setters, Operators, and Tenders  (841) SOC 51-6063'
'845' = 'Upholsterers  (845) SOC 51-6093'
'846' = 'Miscellaneous Textile, Apparel, and Furnishings Workers, Except Upholsterers  (846) SOC 51-609X'
'850' = 'Cabinetmakers and Bench Carpenters  (850) SOC 51-7011'
'853' = 'Sawing Machine Setters, Operators, and Tenders, Wood  (853) SOC 51-7041'
'855' = 'Miscellaneous Woodworkers, Including Model Makers and Patternmakers (855) SOC 51-70XX'
'860' = 'Power Plant Operators, Distributors, and Dispatchers  (860) SOC 51-8010'
'861' = 'Stationary Engineers and Boiler Operators  (861) SOC 51-8021'
'862' = 'Water and Liquid Waste Treatment Plant and System Operators  (862) SOC 51-8031'
'863' = 'Miscellaneous Plant and System Operators  (863) SOC 51-8090'
'873' = 'Furnace, Kiln, Oven, Drier, and Kettle Operators and Tenders  (873) SOC 51-9051'
'874' = 'Inspectors, Testers, Sorters, Samplers, and Weighers  (874) SOC 51-9061'
'876' = 'Medical, Dental, and Ophthalmic Laboratory Technicians  (876) SOC 51-9080'
'880' = 'Packaging and Filling Machine Operators and Tenders  (880) SOC 51-9111'
'881' = 'Painting Workers  (881) SOC 51-9120'
'883' = 'Photographic Process Workers and Processing Machine Operators  (883) SOC 51-9130'
'891' = 'Etchers and Engravers  (891) SOC 51-9194'
'892' = 'Molders, Shapers, and Casters, Except Metal and Plastic  (892) SOC 51-9195'
'893' = 'Paper Goods Machine Setters, Operators, and Tenders  (893) SOC 51-9196'
'896' = 'Other Production Workers, Including Semiconductor Processors and Cooling and Freezing Equipment Operators (896) SOC 51-91XX'
'903' = 'Aircraft Pilots and Flight Engineers  (903) SOC 53-2010'
'904' = 'Air Traffic Controllers and Airfield Operations Specialists  (904) SOC 53-2020'
'915' = 'Miscellaneous Motor Vehicle Operators, Including Ambulance Drivers and Attendants (915) SOC 53-30XX'
'920' = 'Locomotive Engineers and Operators  (920) SOC 53-4010'
'923' = 'Railroad Brake, Signal, and Switch Operators  (923) SOC 53-4021'
'930' = 'Sailors and Marine Oilers  (930) SOC 53-5011'
'931' = 'Ship and Boat Captains and Operators  (931) SOC 53-5020'
'941' = 'Transportation Inspectors  (941) SOC 53-6051'
'942' = 'Miscellaneous Transportation Workers, Including Bridge and Lock Tenders and Traffic Technicians (942) SOC 53-60XX'
'951' = 'Crane and Tower Operators  (951) SOC 53-7021'
'952' = 'Dredge, Excavating, and Loading Machine Operators  (952) SOC 53-7030'
'960' = 'Industrial Truck and Tractor Operators  (960) SOC 53-7051'
'961' = 'Cleaners of Vehicles and Equipment  (961) SOC 53-7061'
'962' = 'Laborers and Freight, Stock, and Material Movers, Hand  (962) SOC 53-7062'
'964' = 'Packers and Packagers, Hand  (964) SOC 53-7064'
'975' = 'Miscellaneous Material Moving Workers; Including Conveyor Operators & Tenders; Shuttle Car Operators; & Tank Car, Truck, & Ship Loaders  (975) SOC 53-7XXX'
'992' = 'Unemployed, No Civilian Work Experience Since 1995 (992)'
'998' = 'Non-OPM Occupations (998)';
Run;
